#include <stdint.h>
#include <stdio.h>
#include <math.h>

#include "acrtclib.c"

int main(void)
{
    puts("\nGraphics Demo2 V1.00\n");

    mode11();
    cls(1);
    org();

uint16_t vo=4;             /* margin - vertical offset */
uint16_t ho=4;             /* margin - horizontal offset */
uint16_t hs=320,vs=236;    /* horizontal & vertical shift */

    mode11_colour(1);

    rectangle(0,0,acrtc_hr-1,acrtc_vr-1);              /* draw border */
    line(0,vo,acrtc_hr-1,vo);                          /* draw top & bottom margins */
    line(0,acrtc_vr-1-vo,acrtc_hr-1,acrtc_vr-1-vo);
    line(ho,0,ho,acrtc_vr-1);                          /* draw left & right margins */
    line(acrtc_hr-1-ho,0,acrtc_hr-1-ho,acrtc_vr-1);

// draw spiral

double sr=55;                                          /* Spiral - Start Radius */
double r;
double a=0;
double pi=3.14159;
uint16_t x;
uint16_t y;
uint16_t sx;
uint16_t sy;

r=sr;
sx=(acrtc_hr/2)+6;
sy=(acrtc_vr/2)-6;
dot(x+r,sy);

    while(r<238)
    {
        a=a+pi/60;
        y=(int)(sin(a)*r);
        x=(int)(cos(a)*r); 
        dot(sx+x,sy+y);
        r=r+0.2;
    }
    puts("Graphics Rendering Complete!\n");
    return 0;
}
